1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

News: Latest Patches

Discussion in 'Civ4 - Game of the Month' started by ainwood, Jul 19, 2007.

  1. ainwood

    ainwood Consultant. Administrator

    Joined:
    Oct 5, 2001
    Messages:
    30,078
    With the new patches being released, installing them will obviously prevent games with "protected assests" from previous patches working.

    The "easiest" solution for GOTMs / WOTMs is to just finish your current games before applying the patches.

    The alternative is to create a copy of your full \SId Meier's Civilization 4\ directory, and use it to play the GOTM/WOTMs whilst you apply the patches to the original directories (a "dual install").

    Please note too: Installing BTS automatically patches your Civ4 (and warlords) installs. You don't even get asked for confirmation.
     
  2. Markus5

    Markus5 Code Monkey

    Joined:
    Jul 29, 2004
    Messages:
    683
    Location:
    Lino Lakes, MN, USA
    New patches? Are they being released at the same time as BTS?
     
  3. ainwood

    ainwood Consultant. Administrator

    Joined:
    Oct 5, 2001
    Messages:
    30,078
    Yes. They're not out at take2 or firaxis (yet), but you can apparently get them in-game from "advanced" "check for updates" in the main menu of Warlords & civ4.
     
  4. Markus5

    Markus5 Code Monkey

    Joined:
    Jul 29, 2004
    Messages:
    683
    Location:
    Lino Lakes, MN, USA
    I'll need to finish my current games. xTOMs are done, both losses :-(, but my current game is kinda fun, so I'll play it out then update.
     
  5. da_Vinci

    da_Vinci Gypsy Prince

    Joined:
    Jun 13, 2004
    Messages:
    4,182
    Location:
    Maryland, USA
    So we can assume that GOTM 21 will be played on Vanilla 1.new (1.74), and WOTM 12 will be played on Warlords 2.new (2.13)?

    And SGOTM 05 will be played on 1.61 or 1.new (1.74)?

    dV
     
  6. ainwood

    ainwood Consultant. Administrator

    Joined:
    Oct 5, 2001
    Messages:
    30,078
    GOTM 21 & WOTM 12 will be with the new patches. I believe that SGOTM 5 will alos be with the new patches as well.
     
  7. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,317
    Gender:
    Male
    Location:
    England
    Confirmed.

    That's why we are delaying the start of SGOTM 5 for a few days. We will play with a special HoF Mod to deal with unique barbarian features of that game, and it will require the new vanilla patch. This was to avoid requiring players to maintain version 1.61 for several months when all other activities would probably have moved on to the new patch.

    Mac players should note that I have not yet seen any information about patches for the Mac versions of vanilla or Warlords, or any indication that BtS will come to the Mac OS.
     
  8. Markus5

    Markus5 Code Monkey

    Joined:
    Jul 29, 2004
    Messages:
    683
    Location:
    Lino Lakes, MN, USA
    Will the current HOF mods work with the new patches? I suspect "no", but wanted see if anyone knew for sure. I saw one post that said Warlords HOF mod would not work with 2.13.
     
  9. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,317
    Gender:
    Male
    Location:
    England
    The 1.61 vanilla HoF Mod will work with Civ4 1.73 for new games or for unlocked saved game files. The 2.08 Warlords HoF Mod is incompatible with Warlords 2.13.

    New game start files will be locked to the new patched versions of both vanilla and Warlords, and to the relevant new HoF Mods. So GOTM players will need to install the new patches and new HoF Mod versions.
     
  10. Thrallia

    Thrallia Prodigal Staffer GOTM Staff

    Joined:
    Dec 16, 2005
    Messages:
    2,836
    Location:
    Maryland
    Interesting...I wonder what the difference in changes is then, if the vanilla one will still work with unlocked saved, but the warlords one won't.
     
  11. da_Vinci

    da_Vinci Gypsy Prince

    Joined:
    Jun 13, 2004
    Messages:
    4,182
    Location:
    Maryland, USA
    Given all the patching issues, does it make sense to wait until Aug 1 to launch the SGOTM 05? GOTM 20 will have closed then. Maybe team threads up by July 25?

    And is new vanilla 1.73 or 1.74? I have seen both mentioned in various posts.

    dV
     
  12. da_Vinci

    da_Vinci Gypsy Prince

    Joined:
    Jun 13, 2004
    Messages:
    4,182
    Location:
    Maryland, USA
    In Vista, one path to some of the game files is Computer > OS(C) > Users > Owner > Documents > My Games > (Sid Meier's Civilization 4 and Warlords). So all I have to do is copy these folders as, say "Sid Meier's Civ 4 161" and "Warlords 208"? Or are there any individual files that need to be renamed as well (a post elsewhere seemed to suggest that might be the case)?

    And are there files in other folders that might also need to be copied, renamed and/or moved?

    Hmm ... where are the .exe files?

    The .exe files are not appearing in that folder, they are appearing in Computer > OS(C) > Program Files (x86) > Firaxis Games > Sid Meier's Civilazation 4 > Civilization4.exe

    and in Computer > OS(C) > Program Files (x86) > Firaxis Games > Sid Meier's Civilization 4 > Warlords > Civ4Warlords.exe

    So exactly which folders and files will need to be copied, renamed and/or moved for this dual install? :crazyeye:

    The same organizational layout appears on my older XP box as well (slightly different folder names in path), so it's not just a Vista issue.

    dV
     
  13. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,317
    Gender:
    Male
    Location:
    England
    As you say, there are two folders associated with each game version. One is in the \Program Files\ directory path and contains all the fixed files related to that version, including the .exe file. The other is in the \Users\Owner\Documents\ folder path and contains all the files that are specific to you as a User of the software (the clue is in the folder names). This separation allows users who do not have permission to create or change files in the \Program Files\ area to use the game software, and to store their saves, mods, .ini settings etc in their own writeable space.

    The two folders are joined at the hip by their names being the same. This is what allows the game software to find your owner file area. The individual files do not need to be renamed in either folder.
     
  14. da_Vinci

    da_Vinci Gypsy Prince

    Joined:
    Jun 13, 2004
    Messages:
    4,182
    Location:
    Maryland, USA
    So just to be explicit, what I want to do is to end up with the following folders before I patch:

    Computer > OS(C) > Users > Owner > Documents > My Games

    Sid Meier's Civilization 4
    Sid Meier's Civilization 4 161

    Warlords
    Warlords 208

    Computer > OS(C) > Program Files (x86) > Firaxis Games >

    Sid Meier's Civilization 4
    Sid Meier's Civilization 4 161

    Computer > OS(C) > Program Files (x86) > Firaxis Games > Sid Meier's Civilization 4 >

    Warlords
    Warlords 208

    Then in the program files, Civ 4 folder and its Warlords subfolder will get the new patches to 1.74 and 2.13; while the Sid Meier's Civilization 4 161 folder will remain as 1.61, and the Warlords 208 subfolder will remain 2.08?

    Or does the Warlords 208 folder have to be in the unpatched Sid Meier's Civilization 4 161 folder? And if it is, can it be found (won't the progam be searching for a path with Sid Meier's Civilization 4 in it)? Or does it not have to be found?

    Seems to me that the fact that the Warlords folder for the executable is not a subfolder of Firaxis Games but is a subfolder of Sid Meier's Civilization 4 may make this a bit tricky ... :crazyeye:

    dV
     
  15. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,317
    Gender:
    Male
    Location:
    England
    The Warlords (Program Files) folder *has* to be a subfolder of its parent Civ4 folder, in both of your copies, because Warlords uses the matching Civ4 files as well as the Warlords files.

    So the Program Files part of your structure should look like:

    Computer > OS(C) > Program Files (x86) > Firaxis Games >

    Sid Meier's Civilization 4
    Sid Meier's Civilization 4 161

    Computer > OS(C) > Program Files (x86) > Firaxis Games > Sid Meier's Civilization 4 >
    Warlords

    Computer > OS(C) > Program Files (x86) > Firaxis Games > Sid Meier's Civilization 4 161 >
    Warlords 208

    Think about how the software finds its way around:

    1. You launch a Warlords executable.

    2. It loads itself up, using both the Assets files in its own folder and the Civ4 Assets in its parent Civ4 folder.

    3. It uses its folder name to track down the matching \Users\ path Warlords folder for the current user, and loads up user-specific stuff from there.

    When you install BtS it will probably put another folder inside the Civ4 folder with BtS assets, and it will update the Civ4 and Warlords Assets based in that folder. The first time you run BtS (or possibly during installation) it will also create a \Users\ path BtS folder. It *should* leave your renamed copies of everything untouched.
     
  16. da_Vinci

    da_Vinci Gypsy Prince

    Joined:
    Jun 13, 2004
    Messages:
    4,182
    Location:
    Maryland, USA
    OK, so it sounds like you are telling me that I need the following:

    Computer > OS(C) > Users > Owner > Documents > My Games >

    Sid Meier's Civilization 4
    Sid Meier's Civilization 4 161

    Warlords
    Warlords 208

    Computer > OS(C) > Program Files (x86) > Firaxis Games >

    Sid Meier's Civilization 4 > Warlords

    Sid Meier's Civilization 4 161 > Warlords 208


    Then I install the patches (or BtS).

    The only potential wrinkle is that when the executable in Warlords 208 goes searching for "the Civ4 Assets in its parent Civ4 folder", will it know that its parent Civ 4 folder is now named Sid Meier's Civilization 4 161 (which would be a nice piece of programing intelligence), or has it been set up to expect that its parent Civ 4 folder to always be named Sid Meier's Civilization 4 and thus go looking in the folder now updated to 1.74 and 2.13?

    Once I know the answer to this, then I think I've got it! :thanx:

    I suspect that this clarification and explicit example will prove useful to more than just me. ;)

    dV
     
  17. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,317
    Gender:
    Male
    Location:
    England
    Yes. Please check my cross-posted edit for the correct structure. Warlords folders in \Program Files\ MUST go inside their compatible Civ4 folders.
     
  18. AlanH

    AlanH Mac addict, php monkey Moderator Hall of Fame Staff Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    29,317
    Gender:
    Male
    Location:
    England
    The Warlords executable knows what its parent folder is because it's the one it's in! It just goes up one layer in the folder hierarchy.
     
  19. da_Vinci

    da_Vinci Gypsy Prince

    Joined:
    Jun 13, 2004
    Messages:
    4,182
    Location:
    Maryland, USA
    Thanks! :goodjob: I think we are on the same page now.

    You can see the extent of my programming naivety, as I did not know at first whether the program said "look one layer up" or if it said "look for Sid Meier's Civilzation 4". Now I know. :)

    dV
     
  20. spacemanmf

    spacemanmf Stalwart

    Joined:
    Oct 15, 2006
    Messages:
    64
    Location:
    Manchester, England
    Apologies, but does this mean that a currently-being-played GOTM on vanilla Civ can or cannot be used with Civ4 1.73?

    I am halfway through GOTM20 but, having not played it for a while, I booted up Warlords (for a quick go at something less challenging than Immortal level!). I play the odd MP game so I thought I had better download the patch in readiness - what I didn't realise was that this included the Civ4 1.73 patch as well.

    After overcoming the directX problems, ever since I have downloaded the patch, Civ4 won't uninstall - it gets stuck with an error message before it has really begun. Warlords will uninstall perfectly well. I have tried to uninstall Civ4 before and after uninstalling (and reinstalling) Warlords and it still doesn't work.

    Now, Civ4 runs ok with 1.74 for me, but, if I can't now carry on with GOTM20 because of the patch being in place, is there any way for me to revert to 1.61 so that I can finish the game off? (I have XP.)
     

Share This Page